/*
  ICFS: Interactively Controlled File System
  Copyright (C) 2024-2025  Fedir Kovalov

  This program can be distributed under the terms of the GNU GPLv2.
  See the file LICENSE.
*/

#ifndef FUSE_OPERATIONS
#define FUSE_OPERATIONS

#define FUSE_USE_VERSION 31

#include <fuse3/fuse.h>

const struct fuse_operations *get_fuse_operations();

/*
 * Sets the default permission granted by file creation.
 *
 * @param val: the default permission to grant. Should be one of GRANT_TEMP,
 * GRANT_TEM and 0. When set to 0, grants no permissions.
 */
void set_auto_create_perm(int val);

#endif
