/*
  ICFS: Interactively Controlled File System
  Copyright (C) 2024-2025  Fedir Kovalov

  This program can be distributed under the terms of the GNU GPLv2.
  See the file LICENSE.
*/

#ifndef REAL_FILENAME_H
#define REAL_FILENAME_H

/**
 * @brief Build a real path to the file.
 *
 * @param filename Relative path within the filesystem
 * @return Newly allocated absolute path (caller must free)
 */
const char *real_filename(const char *filename);

/**
 * @brief Get the current mount point path
 * @return Absolute path to the filesystem root
 */
const char *get_mountpoint(void);

#endif // !REAL_FILENAME_H
